nav {
    display: flex;
    background-color: var(--main-color);
    justify-content: space-between;
    align-items: center;
    padding: 1rem 1.5rem;
    box-shadow: var(--main-border-shadow);
    position: fixed;
    width: 100%;
    height: 8rem;
    overflow-y: hidden;
    top: 0;
    left: 0;
    z-index: 1;
    padding-top: 30px;
}

.fox-icon {
    width: 4rem;
}

ul {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

ul li {
    list-style-type: none;
}

.nav-item {
    margin: 1rem;
    overflow: hidden;
}

.nav-link {
    font-size: var(--header-font-size);
    z-index: 3;
    position: relative;
    color: var(--third-color);
    font-weight: var(--bold-font);
    transition-duration: 1s;
}

.nav-link-back {
    z-index: 2;
    position: absolute;
    width: 40px;
    height: 20px;
    background-color: var(--fourth-color);
    border-radius: 50%;
    bottom: 5px;
    opacity: 0;
    transition-duration: 0.5s;
    overflow: hidden;
}

.nav-link:hover {
    color: var(--main-color);
    font-weight: var(--bold-font);
}

.nav-link:hover + .nav-link-back {
    opacity: 1;
    width: 140px;
    height: 120px;
}

.nav-link:hover + .nav-link-back .foot-icon {
    transition-delay: 0.5s;
    transition-duration: 0.5s;
    opacity: 1;
}

.foot-icon {
    position: relative;
    left: 50px;
    transform: rotate(45deg);
    top: 15px;
    width: 50px;
    opacity: 0;
}

.fox-tail {
    font-size: var(--logo-font-size);
    color: var(--secondary-color);
}

.bar {
    border: 2px solid var(--third-color);
    background-color: var(--third-color);
    border-radius: 20%;
    margin-top: 3px;
}

ul.active {
    transition-duration: 1s;
    left: 0;
}

.hamburger {
    display: none;
}

.hamburger.active .bar:nth-child(2) {
    opacity: 0;
}

.hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

.hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}
